Bug 182217 - [PATCH] dev/ppc/ppc_pci.c: add SIIG/Oxford OXPCIe952 pci-e parallel-port
Summary: [PATCH] dev/ppc/ppc_pci.c: add SIIG/Oxford OXPCIe952 pci-e parallel-port
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-19 00:00 UTC by leres
Modified: 2014-02-20 03:58 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (657 bytes, text/plain)
2013-09-19 00:00 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2013-09-19 00:00:00 UTC
	I recently upgraded one of my stratum 1 NTP servers. I had
	been using /dev/pps0 with a parallel port but the new system
	did not have one.

	I added a SIIG x1 pci-e single parallel port card (JJ-E01211-S1)
	however it was not auto-detected by the kernel.

Fix: Please see the attached patch which adds the pci id for
	this card.
Comment 1 dfilter freebsd_committer 2013-11-09 08:28:02 UTC
Author: eadler
Date: Sat Nov  9 08:27:55 2013
New Revision: 257883
URL: http://svnweb.freebsd.org/changeset/base/257883

Log:
  Add support for SIIG x1 pci-e single parallel port card (JJ-E01211-S1)
  
  PR:		kern/182217
  Submitted by:	Craig Leres <leres@ee.lbl.gov>
  MFC After:	1 week

Modified:
  head/sys/dev/ppc/ppc_pci.c

Modified: head/sys/dev/ppc/ppc_pci.c
==============================================================================
--- head/sys/dev/ppc/ppc_pci.c	Sat Nov  9 08:11:24 2013	(r257882)
+++ head/sys/dev/ppc/ppc_pci.c	Sat Nov  9 08:27:55 2013	(r257883)
@@ -88,6 +88,7 @@ static struct pci_id pci_ids[] = {
 	{ 0x80001407, "Lava Computers 2SP-PCI parallel port", 0x10 },
 	{ 0x84031415, "Oxford Semiconductor OX12PCI840 Parallel port", 0x10 },
 	{ 0x95131415, "Oxford Semiconductor OX16PCI954 Parallel port", 0x10 },
+	{ 0xc1101415, "Oxford Semiconductor OXPCIe952 Parallel port", 0x10 },
 	{ 0x98059710, "NetMos NM9805 1284 Printer port", 0x10 },
 	{ 0x98659710, "MosChip MCS9865 1284 Printer port", 0x10 },
 	{ 0x99019710, "MosChip MCS9901 PCIe to Peripheral Controller", 0x10 },
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 2 Eitan Adler freebsd_committer 2014-02-19 19:32:43 UTC
Responsible Changed
From-To: freebsd-bugs->eadler

I'll take it.
Comment 3 dfilter freebsd_committer 2014-02-19 19:38:43 UTC
Author: eadler
Date: Wed Feb 19 19:38:25 2014
New Revision: 262230
URL: http://svnweb.freebsd.org/changeset/base/262230

Log:
  MFC r257883:
  
  	Add support for SIIG x1 pci-e single parallel port card (JJ-E01211-S1)
  
  PR:		kern/182217

Modified:
  stable/10/sys/dev/ppc/ppc_pci.c
Directory Properties:
  stable/10/   (props changed)

Modified: stable/10/sys/dev/ppc/ppc_pci.c
==============================================================================
--- stable/10/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:28:49 2014	(r262229)
+++ stable/10/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:38:25 2014	(r262230)
@@ -88,6 +88,7 @@ static struct pci_id pci_ids[] = {
 	{ 0x80001407, "Lava Computers 2SP-PCI parallel port", 0x10 },
 	{ 0x84031415, "Oxford Semiconductor OX12PCI840 Parallel port", 0x10 },
 	{ 0x95131415, "Oxford Semiconductor OX16PCI954 Parallel port", 0x10 },
+	{ 0xc1101415, "Oxford Semiconductor OXPCIe952 Parallel port", 0x10 },
 	{ 0x98059710, "NetMos NM9805 1284 Printer port", 0x10 },
 	{ 0x98659710, "MosChip MCS9865 1284 Printer port", 0x10 },
 	{ 0x99019710, "MosChip MCS9901 PCIe to Peripheral Controller", 0x10 },
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2014-02-19 19:46:55 UTC
Author: eadler
Date: Wed Feb 19 19:46:44 2014
New Revision: 262231
URL: http://svnweb.freebsd.org/changeset/base/262231

Log:
  MFC r257883:
  
  	Add support for SIIG x1 pci-e single parallel port card (JJ-E01211-S1)
  
  PR:		kern/182217

Modified:
  stable/9/sys/dev/ppc/ppc_pci.c
Directory Properties:
  stable/9/sys/   (props changed)
  stable/9/sys/dev/   (props changed)

Modified: stable/9/sys/dev/ppc/ppc_pci.c
==============================================================================
--- stable/9/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:38:25 2014	(r262230)
+++ stable/9/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:46:44 2014	(r262231)
@@ -88,6 +88,7 @@ static struct pci_id pci_ids[] = {
 	{ 0x80001407, "Lava Computers 2SP-PCI parallel port", 0x10 },
 	{ 0x84031415, "Oxford Semiconductor OX12PCI840 Parallel port", 0x10 },
 	{ 0x95131415, "Oxford Semiconductor OX16PCI954 Parallel port", 0x10 },
+	{ 0xc1101415, "Oxford Semiconductor OXPCIe952 Parallel port", 0x10 },
 	{ 0x98059710, "NetMos NM9805 1284 Printer port", 0x10 },
 	{ 0x98659710, "MosChip MCS9865 1284 Printer port", 0x10 },
 	{ 0x99019710, "MosChip MCS9901 PCIe to Peripheral Controller", 0x10 },
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2014-02-19 19:47:15 UTC
Author: eadler
Date: Wed Feb 19 19:47:08 2014
New Revision: 262232
URL: http://svnweb.freebsd.org/changeset/base/262232

Log:
  MFC r257883:
  
  	Add support for SIIG x1 pci-e single parallel port card (JJ-E01211-S1)
  
  PR:		kern/182217

Modified:
  stable/8/sys/dev/ppc/ppc_pci.c
Directory Properties:
  stable/8/sys/   (props changed)
  stable/8/sys/dev/   (props changed)
  stable/8/sys/dev/ppc/   (props changed)

Modified: stable/8/sys/dev/ppc/ppc_pci.c
==============================================================================
--- stable/8/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:46:44 2014	(r262231)
+++ stable/8/sys/dev/ppc/ppc_pci.c	Wed Feb 19 19:47:08 2014	(r262232)
@@ -88,6 +88,7 @@ static struct pci_id pci_ids[] = {
 	{ 0x80001407, "Lava Computers 2SP-PCI parallel port", 0x10 },
 	{ 0x84031415, "Oxford Semiconductor OX12PCI840 Parallel port", 0x10 },
 	{ 0x95131415, "Oxford Semiconductor OX16PCI954 Parallel port", 0x10 },
+	{ 0xc1101415, "Oxford Semiconductor OXPCIe952 Parallel port", 0x10 },
 	{ 0x98059710, "NetMos NM9805 1284 Printer port", 0x10 },
 	{ 0x99019710, "MosChip MCS9901 PCIe to Peripheral Controller", 0x10 },
 	{ 0xffff }
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 6 Eitan Adler freebsd_committer 2014-02-20 03:58:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!